ITPub博客

首页 > 数据库 > Oracle > Unable to load native-hadoop library for your platform,编译h

Unable to load native-hadoop library for your platform,编译h

Oracle 作者:franss47 时间:2014-03-12 15:37:26 0 删除 编辑
  • 问题:

在运行hadoop的时候,出现警告:

WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform… using builtin-java classes where applicable

  • 原因:

Apache提供的hadoop本地库是32位的,而在64位的服务器上就会有问题,因此需要自己编译64位的版本。

  • 解决:
参考http://programonkey.com/blog/?p=25
<!-- 正文结束 -->

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/21285670/viewspace-1114008/,如需转载,请注明出处,否则将追究法律责任。

上一篇: 没有了~
下一篇: 没有了~
请登录后发表评论 登录
全部评论

注册时间:2009-04-03